"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.alertsOnAlertPublished = void 0;
const helpers_1 = require("../helpers");
exports.alertsOnAlertPublished = {
    generatePartial(_) {
        const source = `//firebasealerts.googleapis.com/projects/${helpers_1.PROJECT_ID}`;
        const alertType = 'appDistribution.newTesterIosDevice';
        const appId = helpers_1.APP_ID;
        return {
            alertType,
            appId,
            data: getOnAlertPublishedData(),
            source,
        };
    },
    match(cloudFunction) {
        return (helpers_1.getEventType(cloudFunction) ===
            'google.firebase.firebasealerts.alerts.v1.published');
    },
};
/** Alert Published Data */
function getOnAlertPublishedData() {
    const now = new Date().toISOString();
    return {
        createTime: now,
        endTime: now,
        payload: {},
    };
}
