"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pubsubOnMessagePublished = void 0;
const helpers_1 = require("../helpers");
exports.pubsubOnMessagePublished = {
    generatePartial(cloudFunction) {
        var _a;
        const topicId = ((_a = helpers_1.getEventFilters(cloudFunction)) === null || _a === void 0 ? void 0 : _a.topic) || '';
        const source = `//pubsub.googleapis.com/projects/${helpers_1.PROJECT_ID}/topics/${topicId}`;
        const subscription = `projects/${helpers_1.PROJECT_ID}/subscriptions/pubsubexample-1`;
        /**
         *  Node: The following is a Base64 string generated by the following:
         *  Buffer.from(dataMessageJson).toString('base64')
         */
        const dataMessageData = 'eyJoZWxsbyI6IndvcmxkIn0=';
        return {
            source,
            data: {
                message: {
                    attributes: { 'sample-attribute': 'I am an attribute' },
                    data: dataMessageData,
                    messageId: 'messageId',
                    publishTime: new Date().toISOString(),
                },
                subscription,
            },
        };
    },
    match(cloudFunction) {
        return (helpers_1.getEventType(cloudFunction) ===
            'google.cloud.pubsub.topic.v1.messagePublished');
    },
};
