"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storageV1 = void 0;
const helpers_1 = require("../helpers");
const storage_data_1 = require("./storage-data");
exports.storageV1 = {
    generatePartial(cloudFunction) {
        var _a;
        const bucket = ((_a = helpers_1.getEventFilters(cloudFunction)) === null || _a === void 0 ? void 0 : _a.bucket) || 'bucket_name';
        const source = `//storage.googleapis.com/projects/_/buckets/${bucket}`;
        const subject = `objects/${helpers_1.FILENAME}`;
        return {
            source,
            subject,
            data: storage_data_1.getStorageObjectData(bucket, helpers_1.FILENAME, 1),
        };
    },
    match(cloudFunction) {
        return helpers_1.getEventType(cloudFunction).startsWith('google.cloud.storage.object.v1');
    },
};
